Bug 1698922 - [ovirt] Deployment of OCP nodes fails in setup_dns.yaml playbook during multi-node setup
Summary: [ovirt] Deployment of OCP nodes fails in setup_dns.yaml playbook during multi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.11.z
Assignee: Roy Golan
QA Contact: Jan Zmeskal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-11 12:43 UTC by Jan Zmeskal
Modified: 2019-06-26 09:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixing the hostname passed to add_host. The bug was that in the case of multiple hosts a pattern was used, like in an inventoy file: [masters] master[0:2].local While this works in an inventory file, patterns are not supported in the in-memory inventory and this simply fails with unreachable hostname(master[0:2].local will not resolve). Instead, we have to loop in the add_host module and insert every host with the groups details etc. Now multi-node setup proceeds normally.
Clone Of:
Environment:
Last Closed: 2019-06-26 09:08:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-ansible pull 11501 0 None closed openshift_ovirt: Fix hostname in the inventory groups 2020-07-08 05:21:07 UTC
Red Hat Product Errata RHBA-2019:1605 0 None None None 2019-06-26 09:08:14 UTC

Comment 2 Roy Golan 2019-04-17 08:17:53 UTC
Upstream PR merged.

Comment 4 Jan Zmeskal 2019-06-14 07:30:39 UTC
Hi Roy, I tried to verify this with those newly released packages:

rpm -qa | grep openshift-ansible
openshift-ansible-docs-3.11.104-1.git.0.379a011.el7.noarch
openshift-ansible-playbooks-3.11.104-1.git.0.379a011.el7.noarch
openshift-ansible-3.11.104-1.git.0.379a011.el7.noarch
openshift-ansible-roles-3.11.104-1.git.0.379a011.el7.noarch

However, the playbook for OCP deployment failed on this: http://pastebin.test.redhat.com/771820

I downloaded openshift-ansible-roles 3.11.109-1 from brew and it works OK. Then I browsed other versions of this package on brew and found out that version 3.11.107-1 includes this fix of yours:
- openshift_ovirt: Fix hostname in the inventory groups (rgolan@redhat.com)

So it seems that the issue I am hitting has already been tackled, but I cannot really verify this until openshift-ansible-roles >= 3.11.107-1 is released. Can we move this back to MODIFIED and have it automatically go to ON_QA once that happens?

Jan

Comment 7 errata-xmlrpc 2019-06-26 09:08:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1605


Note You need to log in before you can comment on or make changes to this bug.